Get Tournament
curl --request GET \
--url https://softmax.com/api/observatory/v2/tournaments/{tournament_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/tournaments/{tournament_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/tournaments/{tournament_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tournament_id": "<string>",
"league_id": "<string>",
"name": "<string>",
"status": "draft",
"definition": {
"name": "<string>",
"schedule": {
"mode": "on_demand",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"roster_generator": {
"type": "explicit",
"entrants": [
{
"player_id": "<string>",
"policy_version_id": "<string>",
"display_name": "<string>"
}
],
"host_division_id": "<string>"
},
"round_generator": {
"strategy": "double_elimination",
"grand_final_reset": true,
"best_of": 1
},
"placements": {
"type": "bracket_finish",
"tiers": [
{
"name": "<string>",
"ranks": [
123,
123
]
}
]
}
},
"frozen_entrants": [
{
"entrant_id": "<string>",
"player_id": "<string>",
"policy_version_id": "<string>",
"seed": 123,
"display_name": "<string>",
"league_policy_membership_id": "<string>"
}
],
"visualization": {
"strategy": "double_elimination",
"size": 123,
"grand_final_reset": true,
"entrants": [
{
"entrant_id": "<string>",
"player_id": "<string>",
"policy_version_id": "<string>",
"seed": 123,
"display_name": "<string>"
}
],
"matches": [
{
"match_id": "<string>",
"bracket": "winners",
"round_index": 123,
"slot_index": 123,
"label": "<string>",
"series_format": "bo1",
"entrant_a_id": "<string>",
"entrant_b_id": "<string>",
"winner_entrant_id": "<string>",
"status": "pending",
"edges": [
{
"to_match_id": "<string>",
"slot": "a",
"kind": "advance"
}
]
}
],
"current_round_key": "<string>",
"highlight_match_ids": [
"<string>"
],
"champion_entrant_id": "<string>"
},
"placements": [
{
"entrant_id": "<string>",
"player_id": "<string>",
"rank": 123,
"tier": "<string>",
"score": 123
}
],
"locked_at": "2023-11-07T05:31:56Z",
"locked_by": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"idempotency_key": "<string>",
"requester_user_id": "<string>",
"host_division_id": "<string>",
"wave_experience_request_ids": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}v2
Get Tournament
GET
/
v2
/
tournaments
/
{tournament_id}
Get Tournament
Authorizations
Bearer token issued by Softmax
Path Parameters
Pattern:
^tour_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
Full tournament document served by the detail/lifecycle endpoints.
Available options:
draft, locked, running, completed, cancelled, failed Canonical tournament config stored on the tournament row.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes